Summary:        Panorama Tools GUI
Name:           hugin
Version:        2016.2.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphics/Utilities
URL:            http://hugin.sourceforge.net
Source0:        http://downloads.sourceforge.net/hugin/%{name}-%{version}.tar.bz2
Patch0:         hugin-2012.0.0-invalid-utf8.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(lensfun)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(tclap)
BuildRequires:  pkgconfig(python2)
BuildRequires:  pkgconfig(libpano13) >= 2.9.19
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(freeglut)
BuildRequires:  boost-devel
BuildRequires:  wxgtk-devel > 3.0
BuildRequires:  libgomp-devel
BuildRequires:  libjpeg-devel
BuildRequires:  vigra-devel
BuildRequires:  lapack-devel
BuildRequires:  desktop-file-utils
BuildRequires:  imagemagick
BuildRequires:  perl-Image-ExifTool
BuildRequires:  swig

Requires:       libpano13-tools >= 2.9.19
Requires:       enblend
Requires:       perl-Image-ExifTool
Requires:       make

%description
Hugin can be used to stitch multiple images together. The resulting image can
span 360 degrees. Another common use is the creation of very high resolution
pictures by combining multiple images.


%files -f %{name}.lang
%doc AUTHORS Changes.txt README TODO
%license COPYING*
%{_bindir}/*
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/*.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/Adwaita/48x48/mimetypes/gnome-mime-application-x-ptoptimizer-script.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/ptbatcher.png
%{_datadir}/appdata/*
%{python2_sitearch}/*

%prep
%setup -q
%autopatch -p0

%build
%cmake -DCMAKE_SKIP_RPATH:BOOL=OFF -DENABLE_LAPACK=ON

%make_build

%install
%make_install -C build

%find_lang %{name}

# Menu icons
for i in {16,22,32,48}; do
	mkdir -p %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps
	convert -resize $ix$i src/hugin1/hugin/xrc/data/hugin.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}.png
done
convert -resize 32x32 src/hugin1/hugin/xrc/data/hugin.png %{buildroot}%{_iconsdir}/%{name}.png
mv %{buildroot}%{_datadir}/icons/gnome %{buildroot}%{_datadir}/icons/Adwaita

# menu entry
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Photography" \
  --add-category="Graphics" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*


%changelog
* Mon Sep 19 2016 daviddavid <daviddavid> 2016.2.0-1.mga6
+ Revision: 1054156
- new version: 2016.2.0

* Thu Jun 02 2016 daviddavid <daviddavid> 2016.0.0-2.mga6
+ Revision: 1019815
- rebuild for wxgtk3.0 built with GTK2

* Wed Apr 13 2016 daviddavid <daviddavid> 2016.0.0-1.mga6
+ Revision: 1001127
- new version: 2016.0.0
- add BR pkgconfig(lcms2)

* Fri Jan 08 2016 luigiwalser <luigiwalser> 2015.0.0-7.mga6
+ Revision: 920537
- rebuild for lensfun

* Sat Dec 26 2015 daviddavid <daviddavid> 2015.0.0-6.mga6
+ Revision: 915187
- rebuild for new boost 1.60.0
- use new python macro

* Sat Sep 26 2015 daviddavid <daviddavid> 2015.0.0-5.mga6
+ Revision: 883831
- rebuild for new boost 1.59.0

* Wed Aug 26 2015 fwang <fwang> 2015.0.0-3.mga6
+ Revision: 869502
- rebuild for new glew

* Sat Aug 15 2015 ycantin <ycantin> 2015.0.0-2.mga6
+ Revision: 864907
- fix gomp br
- BR fftw3 : fix compilation error
- BR gomp : perf boost expected

  + shlomif <shlomif>
    - Rebuild for checking something

* Wed Aug 12 2015 fwang <fwang> 2015.0.0-1.mga6
+ Revision: 863436
- use shipped icons
- br vigra
- 2015.0.0

  + daviddavid <daviddavid>
    - rebuild for new boost-1.58.0

* Thu Jul 23 2015 akien <akien> 2014.0.0-2.mga6
+ Revision: 856370
- Rebuild for wxgtk with gtk3

* Wed Jun 24 2015 akien <akien> 2014.0.0-1.mga6
+ Revision: 842216
- Version 2014.0.0 final

* Mon Feb 09 2015 shlomif <shlomif> 2014.0.0-0.rc4.5.mga5
+ Revision: 814249
- move icons from /gnome/ to /Adwaita/.

* Wed Oct 15 2014 umeabot <umeabot> 2014.0.0-0.rc4.4.mga5
+ Revision: 750065
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2014.0.0-0.rc4.3.mga5
+ Revision: 680204
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 2014.0.0-0.rc4.2.mga5
+ Revision: 670268
- rebuild for glew

* Tue Aug 26 2014 fwang <fwang> 2014.0.0-0.rc4.1.mga5
+ Revision: 667774
- update file list
- br Image-ExifTool
- bump requires
- 2014.0.0 rc4

  + luigiwalser <luigiwalser>
    - rebuild for ilmbase and OpenEXR

  + pterjan <pterjan>
    - Rebuild for new Python

* Thu May 01 2014 luigiwalser <luigiwalser> 2013.0.0-3.mga5
+ Revision: 619152
- rebuild for ilmbase

* Mon Feb 10 2014 dams <dams> 2013.0.0-2.mga5
+ Revision: 589011
- rebuild for new exiv2

* Wed Feb 05 2014 fwang <fwang> 2013.0.0-1.mga5
+ Revision: 583537
- 2013.0.0 (build with wxwidgets 3.0)

* Sat Oct 19 2013 umeabot <umeabot> 2013.0.0-0.rc2.2.mga4
+ Revision: 534432
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 fwang <fwang> 2013.0.0-0.rc2.1.mga4
+ Revision: 477853
- new version 2013.0.0_rc2

* Wed Jul 24 2013 sander85 <sander85> 2013.0.0-0.rc1.2.mga4
+ Revision: 457707
- Rebuild for new glew

* Wed Jul 10 2013 fwang <fwang> 2013.0.0-0.rc1.1.mga4
+ Revision: 452326
- 2013.0.0 rc1

* Wed Jun 05 2013 fwang <fwang> 2012.0.0-5.mga4
+ Revision: 437484
- fix invalid characters
- rebuild for new libpng

* Wed Apr 10 2013 malo <malo> 2012.0.0-4.mga3
+ Revision: 409458
- rebuild for boost 1.53

* Sat Jan 12 2013 umeabot <umeabot> 2012.0.0-3.mga3
+ Revision: 353374
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Thu Dec 20 2012 fwang <fwang> 2012.0.0-2.mga3
+ Revision: 333037
- rebuild for new boost

* Sun Dec 02 2012 fwang <fwang> 2012.0.0-1.mga3
+ Revision: 325044
- update file list
- br swig
- br lensfun
- new version 2012.0.0

* Sun Aug 19 2012 pterjan <pterjan> 2011.4.0-4.mga3
+ Revision: 282403
- Rebuild for new glew

* Wed Jul 25 2012 fwang <fwang> 2011.4.0-3.mga3
+ Revision: 274290
- add fedora patch to build with gcc 4.7
- rebuild for new glew

* Mon Jun 18 2012 fwang <fwang> 2011.4.0-2.mga3
+ Revision: 261643
- rebuild for new exiv

* Wed May 30 2012 fwang <fwang> 2011.4.0-1.mga3
+ Revision: 249720
- rebuild for new boost

* Fri Dec 30 2011 mikala <mikala> 2011.4.0-0.mga2
+ Revision: 189041
- Enable lapack support
- add ugly workaround to fix CXX flags (a ; is added after -pthread breaking it)
- Update tarball to 2011.4.0
- add lapack-devel as buildrequires

  + fwang <fwang>
    - rebuild for new libtiff

* Mon Nov 28 2011 fwang <fwang> 2011.2.0-3.mga2
+ Revision: 173610
- rebuild for new boost

* Sun Oct 09 2011 fwang <fwang> 2011.2.0-2.mga2
+ Revision: 153424
- rebuild for new exiv2

* Mon Oct 03 2011 fwang <fwang> 2011.2.0-1.mga2
+ Revision: 151216
- update file list
- br tclap
- new version 2011.2.0

  + mikala <mikala>
    - Switch to pkconfig()
    - remove %%defattr() and %%clean section

* Thu Sep 15 2011 fwang <fwang> 2011.0.0-3.mga2
+ Revision: 143750
- add gentoo patch to build with libpng 1.5
- rebuild for new libpng
- br xmu
- rebuild for new boost

* Wed Jun 22 2011 fwang <fwang> 2011.0.0-1.mga2
+ Revision: 111936
- bump req
- new version 2011.0.0

* Fri Mar 04 2011 ahmad <ahmad> 2010.4.0-2.mga1
+ Revision: 63921
- don't skip rpath so that libs in %%_libdir/hugin/ can be picked when launching
  hugin

* Fri Feb 18 2011 mikala <mikala> 2010.4.0-1.mga1
+ Revision: 53485
- Update to 2010.4.0
- Fix file list
- Drop BuildRoot
- Drop mdk macros
- Fix BR
- imported package hugin

